www.bsff.net > 如何解决MAC版关于python3.5.X的TCl/Tk 的警告

如何解决MAC版关于python3.5.X的TCl/Tk 的警告

tcl/tk是一个用tcl语言写的,名为TK的图形界面库。这个警告是说,本版本的tcl/tk(8.5.9)可能不够稳定。这是因为,apple将python重新编译过,这是一个改过版的python,所以有些警告信息也是有可能的。 不用在意它。对于tk的稳定性不用担心。你很...

需要去官网下个对应版本的东西, 具体在哪下我忘记了, 打开 IDLE 之后会有提示, 去那个网址下, 记得下对应版本的, 安装完就好了

ActiveTcl Downloads 从这里下载Tcl试试 下载8.6.4版本还会报错,我又试着装了下8.5.18,重启IDLE便没有提示不稳定了。 而且,也可以打印中文了: 原因如下(google而来): Stan W writes (NB. edited for brevity): Over the last couple of d...

有两个方法: 一个:直接在终端打python3 可以直接运行 第二个:IDLE WARNING: The version of Tcl/Tk (8.5.9) in use may be unstable 这里有解决方法,具体来说就是DOWNLOAD TCL.

python是解释性语言,所以也要选一个解释性的界面语言,tk工具包是唯一的选择。 tk工具包比较小巧,只关注界面,不像qt或wx一样还包含很多python已有的内容。 尽可能少的bug。

tcl/tk是一个用tcl语言写的,名为TK的图形界面库。这个警告是说,本版本的tcl/tk(8.5.9)可能不够稳定。这是因为,apple将python重新编译过,这是一个改过版的python,所以有些警告信息也是有可能的。 不用在意它。对于tk的稳定性不用担心。你很...

安装python时,tkinter是自带的、随同python自动安装。 python所带的代码编辑器本身就是用tkinter编写的。

如果是windows下的话,下载相应的安装包直接安装就好了,然后使用的时候 import 就好了

应该是LINUX或者UNIX吧? 你编译python的时候没有编译TKINTER JPEG,ZLIB库freetype2的相关库都缺少 你编译好上述库,再重新安装PIL就没问题了。 补充回答: 既然是windows就直接用安装包吧,不要用setup.py了 http://www.pythonware.com/produc...

1. 首先安装Tkinter模块:yum -y install tkinter 2.在python下运行import Tkinter发现正确,但是使用的是默认版的python2.4.3 5. 再次运行import Tkinter后报错: Python代码 Type "help", "copyright", "credits" or "license" for more infor...

网站地图

All rights reserved Powered by www.bsff.net

copyright ©right 2010-2021。
www.bsff.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com